OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.TextureArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureArray :: MonadIO m => m Bool
- gl_EXT_texture_array :: Bool
- gl_COMPARE_REF_DEPTH_TO_TEXTURE_EXT :: GLenum
- gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum
- gl_MAX_ARRAY_TEXTURE_LAYERS_EXT :: GLenum
- gl_PROXY_TEXTURE_1D_ARRAY_EXT :: GLenum
- gl_PROXY_TEXTURE_2D_ARRAY_EXT :: GLenum
- gl_TEXTURE_1D_ARRAY_EXT :: GLenum
- gl_TEXTURE_2D_ARRAY_EXT :: GLenum
- gl_TEXTURE_BINDING_1D_ARRAY_EXT :: GLenum
- gl_TEXTURE_BINDING_2D_ARRAY_EXT :: GLenum
- glFramebufferTextureLayerEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()

# Extension Support

glGetEXTTextureArray :: MonadIO m => m Bool

Is the EXT_texture_array extension supported?

gl_EXT_texture_array :: Bool

Is the EXT_texture_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureArray` in those cases instead.

# Enums

gl_COMPARE_REF_DEPTH_TO_TEXTURE_EXT :: GLenum

gl_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum

gl_MAX_ARRAY_TEXTURE_LAYERS_EXT :: GLenum

gl_PROXY_TEXTURE_1D_ARRAY_EXT :: GLenum

gl_PROXY_TEXTURE_2D_ARRAY_EXT :: GLenum

gl_TEXTURE_1D_ARRAY_EXT :: GLenum

gl_TEXTURE_2D_ARRAY_EXT :: GLenum

gl_TEXTURE_BINDING_1D_ARRAY_EXT :: GLenum

gl_TEXTURE_BINDING_2D_ARRAY_EXT :: GLenum

# Functions

glFramebufferTextureLayerEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type `FramebufferTarget`.
-> GLenum | `attachment` of type `FramebufferAttachment`.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTextureLayer`.